function AsciiToMqttUpdatePage()
{
	var SaveGlobalVariable = function(Row){AsciiToMqttUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return AsciiToMqttUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){AsciiToMqttUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){AsciiToMqttUpdatePage.prototype._Initialization_();};
}










function AsciiToMqttFirstPage()
{

  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){AsciiToMqttFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){AsciiToMqttFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){AsciiToMqttFirstPage.prototype._ShowNextPage_();};

  var ShowTable          = function(ObjectKey, DisplayNumber){AsciiToMqttFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};

  this.RedisplayUi       = function(){AsciiToMqttFirstPage.prototype._RedisplayUi_();};

  var GetAllDeviceName   = function(){return AsciiToMqttFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return AsciiToMqttFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return AsciiToMqttFirstPage.prototype._GetAllModuleData_();};

  var IsAllTransformMqtt = function(){return AsciiToMqttFirstPage.prototype._IsAllTransformMqtt_();};

  this.Initialization = function(){AsciiToMqttFirstPage.prototype._Initialization_();};
  var InitialAsciiToMqttSettingObject = function(number){AsciiToMqttFirstPage.prototype._InitialAsciiToMqttSettingObject_(number);};

  var TransmissionJson = function(ssocket, Command, JsonString, Callback){AsciiToMqttFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){AsciiToMqttFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){AsciiToMqttFirstPage.prototype._SaveStart_(that, ssocket);};

  this.EditButton = function(that){AsciiToMqttFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){AsciiToMqttFirstPage.prototype._SaveButton_(that);};

  var ArrayInteraction= function(FirstArray, SecondArray){return AsciiToMqttFirstPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiToMqttFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //Checkbox
  this.ChangeCheckbox = function(that){AsciiToMqttFirstPage.prototype._ChangeCheckbox_(that);};
  this.ChangeAllCheckbox = function(that){AsciiToMqttFirstPage.prototype._ChangeAllCheckbox_(that);};
}










function AsciiToMqttSecondPage()
{

  var VariableTableAddNewRow       = function(number){AsciiToMqttSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){AsciiToMqttSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){AsciiToMqttSecondPage.prototype._SetVariableTableInitialValue_(number);};  

  var GetModuleName = function(number){return AsciiToMqttSecondPage.prototype._GetModuleName_(number);};
  var GetMqttConnection = function(){return AsciiToMqttSecondPage.prototype._GetMqttConnection_();};

  var ArrayInteraction = function(FirstArray, SecondArray){return AsciiToMqttSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiToMqttSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};

  var ClearTable = function(number){AsciiToMqttSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){AsciiToMqttSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){AsciiToMqttSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){AsciiToMqttSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){AsciiToMqttSecondPage.prototype._HideColumn_();};

  var ModifyAsciiToMqttSettingObject= function(that){AsciiToMqttSecondPage.prototype._ModifyAsciiToMqttSettingObject_(that);};
  var ModifyAsciiToMqttVariableObject= function(that){AsciiToMqttSecondPage.prototype._ModifyAsciiToMqttVariableObject_(that);};
  var SetFormInitialValue = function(number){AsciiToMqttSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){AsciiToMqttSecondPage.prototype._SetInitialValue_(number);};

  var GetReadWriteType = function(string){return AsciiToMqttSecondPage.prototype._GetReadWriteType_(string);};
  //Checkbox
  this.EnabledChangeAllCheckbox = function(that){AsciiToMqttSecondPage.prototype._EnabledChangeAllCheckbox_(that);};
  this.RetainChangeAllCheckbox = function(that){AsciiToMqttSecondPage.prototype._RetainChangeAllCheckbox_(that);};

  var LoadBroker = function(number){AsciiToMqttSecondPage.prototype._LoadBroker_(number);};
  var AddBrokerHtml = function(Table, RemoteNumber){AsciiToMqttSecondPage.prototype._AddBrokerHtml_(Table, RemoteNumber);};
  var SetBrokerName = function(Table, RemoteNumber){AsciiToMqttSecondPage.prototype._SetBrokerName_(Table, RemoteNumber);};
  var SetLocalBrokerName = function(Table, RemoteNumber){AsciiToMqttSecondPage.prototype._SetLocalBrokerName_(Table, RemoteNumber);};
  var SetRemoteBrokerName = function(Table, RemoteNumber){AsciiToMqttSecondPage.prototype._SetRemoteBrokerName_(Table, RemoteNumber);};

  this.CheckScanRate = function(that){AsciiToMqttSecondPage.prototype._CheckScanRate_(that);};
  this.CheckDeadBand = function(that){AsciiToMqttSecondPage.prototype._CheckDeadBand_(that);};
  this.CheckMqttConnection = function(that){AsciiToMqttSecondPage.prototype._CheckMqttConnection_(that);};
  this.CheckTopic = function(that){AsciiToMqttSecondPage.prototype._CheckTopic_(that);};
}